Subject: Re: bug#76343: shepherd 1.0.2 --help: warning: call to environ while multiple threads are running; further behavior unspecified.
From: Ludovic Courtès <[email-masked]>
To: Simon Josefsson <[email-masked]>
Cc: [email-masked]
Date: Thu, 06 Mar 2025 16:26:29 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Simon Josefsson <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> Hi,
>>
>> Simon Josefsson <[email-masked]> skribis:
>>
>>> A shephard-specific patch would be the simplest at this point, I think.
>>>  
>>> Do you have some idea how to do that?  I agree it seems like a Debian-
>>> specific patch for now.
>>
>> The patch below appears to do the trick.  I guess I could just as well
>> integrate it in the next 1.0.x bug-release.
>>
>> Does it work for you?
>
> It does, yes!

Excellent. :-)

Pushed in the Shepherd as 8e951de13120729907c527d4a420b579aec944f4.

Thanks!

Ludo’.